Bug 465142 - NoDRI in xorg.conf does not work in RHEL 5.2
NoDRI in xorg.conf does not work in RHEL 5.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
5.2
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Dave Airlie
desktop-bugs@redhat.com
: Reopened
Depends On:
Blocks: 438405
  Show dependency treegraph
 
Reported: 2008-10-01 15:32 EDT by François Cami
Modified: 2013-06-21 20:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description François Cami 2008-10-01 15:32:17 EDT
Description of problem:

Putting Option "NoDRI" in the Device section of the Radeon card in xorg.conf does not work.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.6.3-3.13.el5


How reproducible:
always

Steps to Reproduce:
1. Put    Option "NoDRI"    in the Device section of the Radeon card in xorg.conf
2. Launch X (init 5)
3. # cat /var/log/Xorg.0.log | grep NoDRI
(WW) RADEON(0): Option "NoDRI" is not used
  
Actual results:
DRI is not disabled.

Expected results:
DRI disabled.

Additional info:
I think it was reported to Fedora-devel :
http://www.redhat.com/archives/fedora-devel-list/2006-September/msg00593.html
Comment 1 François Cami 2008-10-01 15:53:25 EDT
If DRI could be disabled, this would help diagnose a bit more bug 465144 :
https://bugzilla.redhat.com/show_bug.cgi?id=465144
Comment 2 Matěj Cepl 2008-11-08 18:56:23 EST
from radeon(4):

 Option "DRI" "boolean"
              Enable DRI support.  This option allows you to enable to disable
              the DRI.  The default is off for RN50/ES1000 and on for  others.

This is clearly misconfiguration IMHO. Closing as NOTABUG.
Comment 3 Matěj Cepl 2008-11-08 18:59:38 EST
Actually, this is from Rawhide. Manpage on RHEL5 doesn't mention any DRI option at all. Does (by chance) Option "DRI" "boolean" work for you? If yes, we should fix documentation.
Comment 4 François Cami 2008-11-12 14:37:48 EST
I tried setting DRI to false thusly (xorg.conf) :
#############################################
--- xorg.conf-generated 2008-11-12 20:25:07.000000000 +0100
+++ xorg.conf   2008-11-12 20:27:55.000000000 +0100
@@ -19,8 +19,9 @@

 Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
+       Option  "DRI" "false"
 EndSection

 Section "Screen"
        Identifier "Screen0
#############################################

And got (Xorg.0.log) :
#############################################
# grep DRI /var/log/Xorg.0.log
(II) Loading extension XFree86-DRI
(II) RADEON(0): [dri] Found DRI library version 1.2.0 and kernel module version 1.25.0
(**) RADEON(0): DRI New memory map param
(**) RADEON(0): DRI PCIGART param
(**) RADEON(0): DRI Finishing init !
(II) RADEON(0): [DRI] installation complete
(WW) RADEON(0): Option "DRI" is not used
(II) GLX: Initialized DRI GL provider for screen 0
#############################################
Comment 5 RHEL Product and Program Management 2009-03-11 11:19:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Dave Airlie 2009-04-23 23:33:51 EDT
MODIFIED

xorg-x11-drv-ati-6.6.3-3.24.el5

built in brew.
Comment 9 Mark Gordon 2009-07-23 15:00:41 EDT
Tested, confirmed to work: "NoDRI", "DRI" "false", and nothing, on assorted hardware (with and without actual DRI support), checking each of Xorg logs, glxinfo output, and glxgears performance.
Comment 11 errata-xmlrpc 2009-09-02 07:12:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1343.html

Note You need to log in before you can comment on or make changes to this bug.